/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 * Copyright (C) 2008 Oszkar Ambrus <aoszkar@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _ELEMENT_MODEL_H_
#define _ELEMENT_MODEL_H_

#include <QtCore/QAbstractItemModel>
#include <QStringListModel>

#include <kplugininfo.h>

Q_DECLARE_METATYPE( KPluginInfo )

class ElementModel : public QStringListModel
{
    Q_OBJECT

public:
    ElementModel( QObject* parent = 0 );
    ~ElementModel();

    enum Roles {
        PluginInfoRole = 45679
    };

    Qt::ItemFlags flags( const QModelIndex& index ) const;
    virtual QVariant data( const QModelIndex& index, int role = Qt::DisplayRole ) const;
    QStringList mimeTypes() const;
    QMimeData* mimeData( const QModelIndexList& indexes ) const;

    void populate();

private:
    KPluginInfo::List m_plugins;
};

#endif
