/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_SCENE_H_
#define _KONDUIT_SCENE_H_

#include <QtGui/QGraphicsScene>
#include <plasma/corona.h>

class QGraphicsSceneDragDropEvent;

namespace Plasma {
    class Containment;
}

namespace Konduit {
    class Element;
}

class KonduitScene : public Plasma::Corona
{
    Q_OBJECT

public:
    KonduitScene( QObject* parent = 0 );
    ~KonduitScene();

    void dragEnterEvent( QGraphicsSceneDragDropEvent* event );
    void dropEvent( QGraphicsSceneDragDropEvent* event );
    void dragMoveEvent( QGraphicsSceneDragDropEvent* event );
    void addElement( Konduit::Element*, const QPointF& pos = QPointF(-1,-1), bool dontInit = false );

private Q_SLOTS:
    void init();
    void slotSceneRectChanged( const QRectF& rect );

private:
    void createElement( const QString& name, const QPointF& pos );

    Plasma::Containment* m_desktop;
};

#endif
