/*
 * konduitshellview.cpp
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 * Copyright (C) 2008 Oszkar Ambrus <aoszkar@gmail.com>
 */
#include "konduitshellview.h"
#include "settings.h"
#include "elementbrowser.h"
#include "konduitscene.h"

#include <klocale.h>

#include <QtGui/QLabel>
#include <QtGui/QHBoxLayout>
#include <QtGui/QGraphicsScene>
#include <QtGui/QGraphicsView>
#include <QtGui/QSplitter>
#include <QTimer>


KonduitShellView::KonduitShellView( QWidget* parent )
    : QWidget( parent )
{
    //QTimer::singleShot(0, this, SLOT( init() ));
    init();
}

void KonduitShellView::init()
{
    QSplitter* splitter = new QSplitter( this );

    m_elementBrowser = new ElementBrowser( splitter );
    m_mainView = new QGraphicsView( splitter );
    splitter->addWidget( m_elementBrowser );
    splitter->addWidget( m_mainView );

    splitter->setStretchFactor( 1, 1 );

    QHBoxLayout* layout = new QHBoxLayout( this );
    layout->addWidget( splitter );

    m_scene = new KonduitScene( this );
    m_mainView->setScene( m_scene );
    m_mainView->show();
}

KonduitShellView::~KonduitShellView()
{
}


KonduitScene* KonduitShellView::scene() const
{
    return m_scene;
}

/*
void KonduitShellView::watchBlackBox( QString name )
{
    m_elementBrowser->watchBlackBox( name );
}
*/

#include "konduitshellview.moc"
