/*
 * konduitshellview.h
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 * Copyright (C) 2008 Oszkar Ambrus <aoszkar@gmail.com>
 */
#ifndef KONDUITSHELLVIEW_H
#define KONDUITSHELLVIEW_H

#include <QtGui/QWidget>

class KonduitScene;
class QGraphicsView;
class ElementBrowser;


/**
 * This is the main view class for KonduitShell.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Sebastian Trueg <trueg@kde.org>
 * @version 0.1
 */
class KonduitShellView : public QWidget
{
    Q_OBJECT

public:
    /**
     * Default constructor
     */
    KonduitShellView( QWidget *parent );

    /**
     * Destructor
     */
    virtual ~KonduitShellView();

    KonduitScene* scene() const;

private Q_SLOTS:
    void init();

private:
    QGraphicsView* m_mainView;
    KonduitScene* m_scene;
    ElementBrowser* m_elementBrowser;
};

#endif
