#include "konduitshell.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KDE/KLocale>

static const char description[] =
    I18N_NOOP("A KDE 4 Application");

static const char version[] = "0.5";

int main(int argc, char **argv)
{
    KAboutData about( "konduit",
                      0,
                      ki18n("KonduitShell"),
                      version,
                      ki18n(description),
                      KAboutData::License_GPL,
                      ki18n("(C) 2007 Sebastian Trueg"),
                      KLocalizedString(),
                      0,
                      "trueg@kde.org");
    about.addAuthor( ki18n("Sebastian Trueg"), KLocalizedString(), "trueg@kde.org" );
    KCmdLineArgs::init( argc, argv, &about );

    KCmdLineOptions options;
    options.add("+[URL]", ki18n( "Document to open" ));
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    KonduitShell *widget = new KonduitShell();

    // see if we are starting with session management
    if (app.isSessionRestored())
    {
        RESTORE(KonduitShell);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
            //konduitshell *widget = new konduitshell;
            widget->show();
        }
        else
        {
            int i = 0;
            for (; i < args->count(); i++)
            {
                //konduitshell *widget = new konduitshell;
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}
