/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2008 Oszkar Ambrus <aoszkar@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "combobox.h"

#include <QLineEdit>
#include <QCompleter>
#include <QStringList>

#include "lineedit.h"

#include <KDebug>

ComboBox::ComboBox( QList<QString> predicates, QWidget *parent) 
: QComboBox(parent), predicateList(predicates)
{
    LineEdit* edit = new LineEdit( this, this );
    setLineEdit( edit );
    setInsertPolicy( QComboBox::NoInsert );//user-entered strings should not be inserted
}

ComboBox::~ComboBox()
{
}

void ComboBox::setExtraCompletion( QStringList compList )
{
    ((LineEdit*)lineEdit())->setExtraCompletion( compList );
}

QStringList ComboBox::predicates()
{
    return predicateList;
}

#include "combobox.moc"
