/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2008 Oszkar Ambrus <aoszkar@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef COMBOBOX_H
#define COMBOBOX_H

#include <QComboBox>

class QLineEdit;
class QCompleter;
class QStringList;

/**
    Custom ComboBox defining custom LineEdit object (for custom autocompletion)
*/

class ComboBox : public QComboBox
{
     Q_OBJECT

public:
    ComboBox(QList<QString> predicates, QWidget *parent = 0);
    ~ComboBox();

    /** Sets the additional items of the autocompletion
    */
    void setExtraCompletion( QStringList compList );

    QStringList predicates();

private:
    /** The predicates the custom autocompletion will be done for
    */
    QStringList predicateList;

};

#endif

