/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_CONFIGURATION_SETTING_H_
#define _KONDUIT_CONFIGURATION_SETTING_H_

#include "konduit_export.h"

#include <QtCore/QSharedDataPointer>
#include <QtCore/QVariant>
#include <QtCore/QString>


namespace Konduit {
    // FIXME: merge this class with ConfigurationOption
    class KONDUIT_EXPORT ConfigurationSetting
    {
    public:
        ConfigurationSetting();
        ConfigurationSetting( const QVariant& value );
        ConfigurationSetting( const QVariantList& values );
        ConfigurationSetting( const ConfigurationSetting& other );
        ~ConfigurationSetting();

        ConfigurationSetting& operator=( const ConfigurationSetting& other );

        QVariant value() const;
        QList<QVariant> values() const;

        void setValue( const QVariant& value );
        void setValues( const QVariantList& list );
        void addValue( const QVariant& value );

    private:
        class Private;
        QSharedDataPointer<Private> d;
    };
}

#endif
