/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_FILE_INPUT_ELEMENT_H_
#define _KONDUIT_FILE_INPUT_ELEMENT_H_

#include "abstractparseelement.h"
#include "konduit_export.h"

#include <Soprano/RdfSerialization>

#include <kurl.h>

namespace Konduit {
    namespace Elements {
        /**
         * Reads data from a file and provides it as an output
         */
        class KONDUIT_EXPORT FileInputElement : public AbstractParseElement
        {
            Q_OBJECT

        public:
            FileInputElement( QObject* parent, const QVariantList& args );
            virtual ~FileInputElement();

            void setUrl( const KUrl& url );
            KUrl url() const;

        protected:
            Soprano::StatementIterator parseData( const Soprano::Parser* parser ) const;

        private:
            class Private;
            Private* const d;
        };
    }
}

#endif
