/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_H_
#define _KONDUIT_H_

#include <plasma/plasma.h>

class QGraphicsItem;

namespace Konduit {
    enum Orientation {
    ORIENTATION_UP = Plasma::TopEdge,
    ORIENTATION_DOWN = Plasma::BottomEdge,
    ORIENTATION_LEFT = Plasma::LeftEdge,
    ORIENTATION_RIGHT = Plasma::RightEdge
    };

    /**
     * Determine where item1 is positioned relative to item2.
     */
    Orientation determineRelativeOrientation( QGraphicsItem* item1, QGraphicsItem* item2 );
}

#endif
