/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2008 Oszkar Ambrus <aoszkar@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef LINEEDIT_H
#define LINEEDIT_H

#include <QLineEdit>

class QCompleter;
class ComboBox;

/*!
    Custom LineEdit defining custom autocompletion
*/

class LineEdit : public QLineEdit
{
     Q_OBJECT

public:
    LineEdit(ComboBox* cb, QWidget *parent = 0);
    ~LineEdit();

    void setCompleter(QCompleter *c);
    QCompleter *completer() const;
    /** Sets the additional items of the autocompletion
    */
    void setExtraCompletion( QStringList compList );

protected:
    void keyPressEvent(QKeyEvent *e);

private:
    QCompleter *c;
    ComboBox* cb;
    QStringList extraCompletionList;
};

#endif

