/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "literalelement.h"

#include <kio/netaccess.h>

#include <QtCore/QList>

#include <Soprano/Node>
#include <Soprano/Statement>
#include <Soprano/LiteralValue>
#include <Soprano/Util/SimpleStatementIterator>
#include <Soprano/Vocabulary/RDFS>


class Konduit::Elements::LiteralElement::Private
{
public:
};


Konduit::Elements::LiteralElement::LiteralElement( QObject* parent, const QVariantList& args )
    : SourceElement( parent, args ),
      d( 0 )
{
    addSocket( "output" );
}


Konduit::Elements::LiteralElement::~LiteralElement()
{
    delete d;
}


Soprano::StatementIterator Konduit::Elements::LiteralElement::data( const Socket* socket ) const
{
    Q_UNUSED( socket );

    return Soprano::Util::SimpleStatementIterator( QList<Soprano::Statement>()
                                                   << Soprano::Statement( QUrl( "http://www.konduit.org/elements/LiteralValue/data" ),
                                                                          Soprano::Vocabulary::RDFS::comment(),
                                                                          literalData() ) );
}

#include "literalelement.moc"
