/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2008 Oszkar Ambrus <aoszkar@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_PLUGINICON_H_
#define _KONDUIT_PLUGINICON_H_

#include <QtCore/QObject>
#include <QtCore/QString>
#include <QtGui/QGraphicsItem>

#include "konduit_export.h"


namespace Konduit {

    class Element;

    /**
     * Icon representing the plugin
     */
    class KONDUIT_EXPORT PluginIcon : public QObject, public QGraphicsItem
    {
        Q_OBJECT

    public:
        PluginIcon( Element* parent );
        ~PluginIcon();

        QRectF boundingRect() const;
        void paint( QPainter* painter, const QStyleOptionGraphicsItem* option, QWidget* widget = 0 );


    private:
        QVariant itemChange( GraphicsItemChange change, const QVariant& value );

        class Private;
        Private* const d;

    };
}

#endif
