/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 * Copyright (C) 2008 Oszkar Ambrus <aoszkar@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_DATA_DUMP_ELEMENT_H_
#define _KONDUIT_DATA_DUMP_ELEMENT_H_

#include "sinkelement.h"

#include "konduit_export.h"

namespace Konduit {
    namespace Elements {
    /**
     * A simple sink element that prints the data to stdout
     */
    class KONDUIT_EXPORT DataDumpElement : public SinkElement
    {
        Q_OBJECT

    public:
        DataDumpElement( QGraphicsItem* parent, const QString& serviceId, uint appletId );
        DataDumpElement( QObject* parent, const QVariantList& args );
        virtual ~DataDumpElement();

    public Q_SLOTS:
        bool start();

    private:
        class Private;
        Private* const d;
    };
    }
}

K_EXPORT_PLASMA_APPLET(konduit_datadump, Konduit::Elements::DataDumpElement)

#endif
