/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2008 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_FILE_LIST_INPUT_ELEMENT_H
#define _KONDUIT_FILE_LIST_INPUT_ELEMENT_H

#include "sourceelement.h"

namespace Plasma {
    class Label;
    class LineEdit;
}


class KUrl;

namespace Konduit {
    namespace Elements {
        class FileListInputElement : public SourceElement
        {
            Q_OBJECT

        public:
            FileListInputElement( QObject* parent, const QVariantList& args );

            QList<KUrl> fileUrls() const;

            Soprano::StatementIterator data( const Socket* socket ) const;

        private Q_SLOTS:
            void slotFindFiles();

        private:
            Plasma::Label* m_fileLabel;
        };
    }
}

K_EXPORT_PLASMA_APPLET(konduit_filelistinput, Konduit::Elements::FileListInputElement)

#endif
