/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2008 Sebastian Trueg <trueg@kde.org>
 * Copyright (C) 2008 Laura Dragan <aprilush@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef FILEOPENELEMENT_H_
#define FILEOPENELEMENT_H_

#include "memorymodelelement.h"
#include "konduit_export.h"
#include <Plasma/PushButton>

namespace Konduit {
    namespace Elements {

class KONDUIT_EXPORT FileOpenElement : public MemoryModelElement
{
    Q_OBJECT

    public:
        FileOpenElement( QObject* parent, const QVariantList& args );
        virtual ~FileOpenElement();

    public Q_SLOTS:
        bool openFiles();

    private:
        Plasma::PushButton* m_openButton;
};
}
}

K_EXPORT_PLASMA_APPLET(konduit_fileopen, Konduit::Elements::FileOpenElement)

#endif /* FILEOPENELEMENT_H_ */
