/*
 * This file is part of Soprano Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "foaf.h"

class FoafPrivate
{
public:
    FoafPrivate()
        : foaf_namespace( "http://xmlns.com/foaf/0.1/" ),
          foaf_date( "http://purl.org/dc/elements/1.1/date" ),
          foaf_description( "http://purl.org/dc/elements/1.1/description" ),
          foaf_title( "http://purl.org/dc/elements/1.1/title" ),
          foaf_Class( "http://www.w3.org/2000/01/rdf-schema#Class" ),
          foaf_SpatialThing( "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing" ),
          foaf_term_status( "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status" ),
          foaf_Agent( "http://xmlns.com/foaf/0.1/Agent" ),
          foaf_Document( "http://xmlns.com/foaf/0.1/Document" ),
          foaf_Group( "http://xmlns.com/foaf/0.1/Group" ),
          foaf_Image( "http://xmlns.com/foaf/0.1/Image" ),
          foaf_OnlineAccount( "http://xmlns.com/foaf/0.1/OnlineAccount" ),
          foaf_OnlineChatAccount( "http://xmlns.com/foaf/0.1/OnlineChatAccount" ),
          foaf_OnlineEcommerceAccount( "http://xmlns.com/foaf/0.1/OnlineEcommerceAccount" ),
          foaf_OnlineGamingAccount( "http://xmlns.com/foaf/0.1/OnlineGamingAccount" ),
          foaf_Organization( "http://xmlns.com/foaf/0.1/Organization" ),
          foaf_Person( "http://xmlns.com/foaf/0.1/Person" ),
          foaf_PersonalProfileDocument( "http://xmlns.com/foaf/0.1/PersonalProfileDocument" ),
          foaf_Project( "http://xmlns.com/foaf/0.1/Project" ),
          foaf_accountName( "http://xmlns.com/foaf/0.1/accountName" ),
          foaf_accountServiceHomepage( "http://xmlns.com/foaf/0.1/accountServiceHomepage" ),
          foaf_aimChatID( "http://xmlns.com/foaf/0.1/aimChatID" ),
          foaf_based_near( "http://xmlns.com/foaf/0.1/based_near" ),
          foaf_birthday( "http://xmlns.com/foaf/0.1/birthday" ),
          foaf_currentProject( "http://xmlns.com/foaf/0.1/currentProject" ),
          foaf_depiction( "http://xmlns.com/foaf/0.1/depiction" ),
          foaf_depicts( "http://xmlns.com/foaf/0.1/depicts" ),
          foaf_dnaChecksum( "http://xmlns.com/foaf/0.1/dnaChecksum" ),
          foaf_family_name( "http://xmlns.com/foaf/0.1/family_name" ),
          foaf_firstName( "http://xmlns.com/foaf/0.1/firstName" ),
          foaf_fundedBy( "http://xmlns.com/foaf/0.1/fundedBy" ),
          foaf_geekcode( "http://xmlns.com/foaf/0.1/geekcode" ),
          foaf_gender( "http://xmlns.com/foaf/0.1/gender" ),
          foaf_givenname( "http://xmlns.com/foaf/0.1/givenname" ),
          foaf_holdsAccount( "http://xmlns.com/foaf/0.1/holdsAccount" ),
          foaf_homepage( "http://xmlns.com/foaf/0.1/homepage" ),
          foaf_icqChatID( "http://xmlns.com/foaf/0.1/icqChatID" ),
          foaf_img( "http://xmlns.com/foaf/0.1/img" ),
          foaf_interest( "http://xmlns.com/foaf/0.1/interest" ),
          foaf_isPrimaryTopicOf( "http://xmlns.com/foaf/0.1/isPrimaryTopicOf" ),
          foaf_jabberID( "http://xmlns.com/foaf/0.1/jabberID" ),
          foaf_knows( "http://xmlns.com/foaf/0.1/knows" ),
          foaf_logo( "http://xmlns.com/foaf/0.1/logo" ),
          foaf_made( "http://xmlns.com/foaf/0.1/made" ),
          foaf_maker( "http://xmlns.com/foaf/0.1/maker" ),
          foaf_mbox( "http://xmlns.com/foaf/0.1/mbox" ),
          foaf_mbox_sha1sum( "http://xmlns.com/foaf/0.1/mbox_sha1sum" ),
          foaf_member( "http://xmlns.com/foaf/0.1/member" ),
          foaf_membershipClass( "http://xmlns.com/foaf/0.1/membershipClass" ),
          foaf_msnChatID( "http://xmlns.com/foaf/0.1/msnChatID" ),
          foaf_myersBriggs( "http://xmlns.com/foaf/0.1/myersBriggs" ),
          foaf_name( "http://xmlns.com/foaf/0.1/name" ),
          foaf_nick( "http://xmlns.com/foaf/0.1/nick" ),
          foaf_openid( "http://xmlns.com/foaf/0.1/openid" ),
          foaf_page( "http://xmlns.com/foaf/0.1/page" ),
          foaf_pastProject( "http://xmlns.com/foaf/0.1/pastProject" ),
          foaf_phone( "http://xmlns.com/foaf/0.1/phone" ),
          foaf_plan( "http://xmlns.com/foaf/0.1/plan" ),
          foaf_primaryTopic( "http://xmlns.com/foaf/0.1/primaryTopic" ),
          foaf_publications( "http://xmlns.com/foaf/0.1/publications" ),
          foaf_schoolHomepage( "http://xmlns.com/foaf/0.1/schoolHomepage" ),
          foaf_sha1( "http://xmlns.com/foaf/0.1/sha1" ),
          foaf_surname( "http://xmlns.com/foaf/0.1/surname" ),
          foaf_theme( "http://xmlns.com/foaf/0.1/theme" ),
          foaf_thumbnail( "http://xmlns.com/foaf/0.1/thumbnail" ),
          foaf_tipjar( "http://xmlns.com/foaf/0.1/tipjar" ),
          foaf_topic( "http://xmlns.com/foaf/0.1/topic" ),
          foaf_topic_interest( "http://xmlns.com/foaf/0.1/topic_interest" ),
          foaf_weblog( "http://xmlns.com/foaf/0.1/weblog" ),
          foaf_workInfoHomepage( "http://xmlns.com/foaf/0.1/workInfoHomepage" ),
          foaf_workplaceHomepage( "http://xmlns.com/foaf/0.1/workplaceHomepage" ),
          foaf_yahooChatID( "http://xmlns.com/foaf/0.1/yahooChatID" ),
          foaf_Agent_3( "http://xmlns.com/wordnet/1.6/Agent-3" ),
          foaf_assurance( "http://xmlns.com/wot/0.1/assurance" ),
          foaf_src_assurance( "http://xmlns.com/wot/0.1/src_assurance" ) {
    }

    QUrl foaf_namespace;
    QUrl foaf_date;
    QUrl foaf_description;
    QUrl foaf_title;
    QUrl foaf_Class;
    QUrl foaf_SpatialThing;
    QUrl foaf_term_status;
    QUrl foaf_Agent;
    QUrl foaf_Document;
    QUrl foaf_Group;
    QUrl foaf_Image;
    QUrl foaf_OnlineAccount;
    QUrl foaf_OnlineChatAccount;
    QUrl foaf_OnlineEcommerceAccount;
    QUrl foaf_OnlineGamingAccount;
    QUrl foaf_Organization;
    QUrl foaf_Person;
    QUrl foaf_PersonalProfileDocument;
    QUrl foaf_Project;
    QUrl foaf_accountName;
    QUrl foaf_accountServiceHomepage;
    QUrl foaf_aimChatID;
    QUrl foaf_based_near;
    QUrl foaf_birthday;
    QUrl foaf_currentProject;
    QUrl foaf_depiction;
    QUrl foaf_depicts;
    QUrl foaf_dnaChecksum;
    QUrl foaf_family_name;
    QUrl foaf_firstName;
    QUrl foaf_fundedBy;
    QUrl foaf_geekcode;
    QUrl foaf_gender;
    QUrl foaf_givenname;
    QUrl foaf_holdsAccount;
    QUrl foaf_homepage;
    QUrl foaf_icqChatID;
    QUrl foaf_img;
    QUrl foaf_interest;
    QUrl foaf_isPrimaryTopicOf;
    QUrl foaf_jabberID;
    QUrl foaf_knows;
    QUrl foaf_logo;
    QUrl foaf_made;
    QUrl foaf_maker;
    QUrl foaf_mbox;
    QUrl foaf_mbox_sha1sum;
    QUrl foaf_member;
    QUrl foaf_membershipClass;
    QUrl foaf_msnChatID;
    QUrl foaf_myersBriggs;
    QUrl foaf_name;
    QUrl foaf_nick;
    QUrl foaf_openid;
    QUrl foaf_page;
    QUrl foaf_pastProject;
    QUrl foaf_phone;
    QUrl foaf_plan;
    QUrl foaf_primaryTopic;
    QUrl foaf_publications;
    QUrl foaf_schoolHomepage;
    QUrl foaf_sha1;
    QUrl foaf_surname;
    QUrl foaf_theme;
    QUrl foaf_thumbnail;
    QUrl foaf_tipjar;
    QUrl foaf_topic;
    QUrl foaf_topic_interest;
    QUrl foaf_weblog;
    QUrl foaf_workInfoHomepage;
    QUrl foaf_workplaceHomepage;
    QUrl foaf_yahooChatID;
    QUrl foaf_Agent_3;
    QUrl foaf_assurance;
    QUrl foaf_src_assurance;
};

Q_GLOBAL_STATIC( FoafPrivate, s_foaf )

QUrl Soprano::Vocabulary::FOAF::foafNamespace()
{
    return s_foaf()->foaf_namespace;
}

QUrl Soprano::Vocabulary::FOAF::date()
{
    return s_foaf()->foaf_date;
}

QUrl Soprano::Vocabulary::FOAF::description()
{
    return s_foaf()->foaf_description;
}

QUrl Soprano::Vocabulary::FOAF::title()
{
    return s_foaf()->foaf_title;
}

QUrl Soprano::Vocabulary::FOAF::Class()
{
    return s_foaf()->foaf_Class;
}

QUrl Soprano::Vocabulary::FOAF::SpatialThing()
{
    return s_foaf()->foaf_SpatialThing;
}

QUrl Soprano::Vocabulary::FOAF::term_status()
{
    return s_foaf()->foaf_term_status;
}

QUrl Soprano::Vocabulary::FOAF::Agent()
{
    return s_foaf()->foaf_Agent;
}

QUrl Soprano::Vocabulary::FOAF::Document()
{
    return s_foaf()->foaf_Document;
}

QUrl Soprano::Vocabulary::FOAF::Group()
{
    return s_foaf()->foaf_Group;
}

QUrl Soprano::Vocabulary::FOAF::Image()
{
    return s_foaf()->foaf_Image;
}

QUrl Soprano::Vocabulary::FOAF::OnlineAccount()
{
    return s_foaf()->foaf_OnlineAccount;
}

QUrl Soprano::Vocabulary::FOAF::OnlineChatAccount()
{
    return s_foaf()->foaf_OnlineChatAccount;
}

QUrl Soprano::Vocabulary::FOAF::OnlineEcommerceAccount()
{
    return s_foaf()->foaf_OnlineEcommerceAccount;
}

QUrl Soprano::Vocabulary::FOAF::OnlineGamingAccount()
{
    return s_foaf()->foaf_OnlineGamingAccount;
}

QUrl Soprano::Vocabulary::FOAF::Organization()
{
    return s_foaf()->foaf_Organization;
}

QUrl Soprano::Vocabulary::FOAF::Person()
{
    return s_foaf()->foaf_Person;
}

QUrl Soprano::Vocabulary::FOAF::PersonalProfileDocument()
{
    return s_foaf()->foaf_PersonalProfileDocument;
}

QUrl Soprano::Vocabulary::FOAF::Project()
{
    return s_foaf()->foaf_Project;
}

QUrl Soprano::Vocabulary::FOAF::accountName()
{
    return s_foaf()->foaf_accountName;
}

QUrl Soprano::Vocabulary::FOAF::accountServiceHomepage()
{
    return s_foaf()->foaf_accountServiceHomepage;
}

QUrl Soprano::Vocabulary::FOAF::aimChatID()
{
    return s_foaf()->foaf_aimChatID;
}

QUrl Soprano::Vocabulary::FOAF::based_near()
{
    return s_foaf()->foaf_based_near;
}

QUrl Soprano::Vocabulary::FOAF::birthday()
{
    return s_foaf()->foaf_birthday;
}

QUrl Soprano::Vocabulary::FOAF::currentProject()
{
    return s_foaf()->foaf_currentProject;
}

QUrl Soprano::Vocabulary::FOAF::depiction()
{
    return s_foaf()->foaf_depiction;
}

QUrl Soprano::Vocabulary::FOAF::depicts()
{
    return s_foaf()->foaf_depicts;
}

QUrl Soprano::Vocabulary::FOAF::dnaChecksum()
{
    return s_foaf()->foaf_dnaChecksum;
}

QUrl Soprano::Vocabulary::FOAF::family_name()
{
    return s_foaf()->foaf_family_name;
}

QUrl Soprano::Vocabulary::FOAF::firstName()
{
    return s_foaf()->foaf_firstName;
}

QUrl Soprano::Vocabulary::FOAF::fundedBy()
{
    return s_foaf()->foaf_fundedBy;
}

QUrl Soprano::Vocabulary::FOAF::geekcode()
{
    return s_foaf()->foaf_geekcode;
}

QUrl Soprano::Vocabulary::FOAF::gender()
{
    return s_foaf()->foaf_gender;
}

QUrl Soprano::Vocabulary::FOAF::givenname()
{
    return s_foaf()->foaf_givenname;
}

QUrl Soprano::Vocabulary::FOAF::holdsAccount()
{
    return s_foaf()->foaf_holdsAccount;
}

QUrl Soprano::Vocabulary::FOAF::homepage()
{
    return s_foaf()->foaf_homepage;
}

QUrl Soprano::Vocabulary::FOAF::icqChatID()
{
    return s_foaf()->foaf_icqChatID;
}

QUrl Soprano::Vocabulary::FOAF::img()
{
    return s_foaf()->foaf_img;
}

QUrl Soprano::Vocabulary::FOAF::interest()
{
    return s_foaf()->foaf_interest;
}

QUrl Soprano::Vocabulary::FOAF::isPrimaryTopicOf()
{
    return s_foaf()->foaf_isPrimaryTopicOf;
}

QUrl Soprano::Vocabulary::FOAF::jabberID()
{
    return s_foaf()->foaf_jabberID;
}

QUrl Soprano::Vocabulary::FOAF::knows()
{
    return s_foaf()->foaf_knows;
}

QUrl Soprano::Vocabulary::FOAF::logo()
{
    return s_foaf()->foaf_logo;
}

QUrl Soprano::Vocabulary::FOAF::made()
{
    return s_foaf()->foaf_made;
}

QUrl Soprano::Vocabulary::FOAF::maker()
{
    return s_foaf()->foaf_maker;
}

QUrl Soprano::Vocabulary::FOAF::mbox()
{
    return s_foaf()->foaf_mbox;
}

QUrl Soprano::Vocabulary::FOAF::mbox_sha1sum()
{
    return s_foaf()->foaf_mbox_sha1sum;
}

QUrl Soprano::Vocabulary::FOAF::member()
{
    return s_foaf()->foaf_member;
}

QUrl Soprano::Vocabulary::FOAF::membershipClass()
{
    return s_foaf()->foaf_membershipClass;
}

QUrl Soprano::Vocabulary::FOAF::msnChatID()
{
    return s_foaf()->foaf_msnChatID;
}

QUrl Soprano::Vocabulary::FOAF::myersBriggs()
{
    return s_foaf()->foaf_myersBriggs;
}

QUrl Soprano::Vocabulary::FOAF::name()
{
    return s_foaf()->foaf_name;
}

QUrl Soprano::Vocabulary::FOAF::nick()
{
    return s_foaf()->foaf_nick;
}

QUrl Soprano::Vocabulary::FOAF::openid()
{
    return s_foaf()->foaf_openid;
}

QUrl Soprano::Vocabulary::FOAF::page()
{
    return s_foaf()->foaf_page;
}

QUrl Soprano::Vocabulary::FOAF::pastProject()
{
    return s_foaf()->foaf_pastProject;
}

QUrl Soprano::Vocabulary::FOAF::phone()
{
    return s_foaf()->foaf_phone;
}

QUrl Soprano::Vocabulary::FOAF::plan()
{
    return s_foaf()->foaf_plan;
}

QUrl Soprano::Vocabulary::FOAF::primaryTopic()
{
    return s_foaf()->foaf_primaryTopic;
}

QUrl Soprano::Vocabulary::FOAF::publications()
{
    return s_foaf()->foaf_publications;
}

QUrl Soprano::Vocabulary::FOAF::schoolHomepage()
{
    return s_foaf()->foaf_schoolHomepage;
}

QUrl Soprano::Vocabulary::FOAF::sha1()
{
    return s_foaf()->foaf_sha1;
}

QUrl Soprano::Vocabulary::FOAF::surname()
{
    return s_foaf()->foaf_surname;
}

QUrl Soprano::Vocabulary::FOAF::theme()
{
    return s_foaf()->foaf_theme;
}

QUrl Soprano::Vocabulary::FOAF::thumbnail()
{
    return s_foaf()->foaf_thumbnail;
}

QUrl Soprano::Vocabulary::FOAF::tipjar()
{
    return s_foaf()->foaf_tipjar;
}

QUrl Soprano::Vocabulary::FOAF::topic()
{
    return s_foaf()->foaf_topic;
}

QUrl Soprano::Vocabulary::FOAF::topic_interest()
{
    return s_foaf()->foaf_topic_interest;
}

QUrl Soprano::Vocabulary::FOAF::weblog()
{
    return s_foaf()->foaf_weblog;
}

QUrl Soprano::Vocabulary::FOAF::workInfoHomepage()
{
    return s_foaf()->foaf_workInfoHomepage;
}

QUrl Soprano::Vocabulary::FOAF::workplaceHomepage()
{
    return s_foaf()->foaf_workplaceHomepage;
}

QUrl Soprano::Vocabulary::FOAF::yahooChatID()
{
    return s_foaf()->foaf_yahooChatID;
}

QUrl Soprano::Vocabulary::FOAF::Agent_3()
{
    return s_foaf()->foaf_Agent_3;
}

QUrl Soprano::Vocabulary::FOAF::assurance()
{
    return s_foaf()->foaf_assurance;
}

QUrl Soprano::Vocabulary::FOAF::src_assurance()
{
    return s_foaf()->foaf_src_assurance;
}
