/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 * Copyright (C) 2008 Oszkar Ambrus <aoszkar@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "inputliteralelement.h"

#include <plasma/widgets/pushbutton.h>
#include <plasma/widgets/label.h>
#include <plasma/widgets/lineedit.h>

#include <kdialog.h>

#include <QtGui/QTextEdit>
#include <QGraphicsLinearLayout>
#include <QPushButton>

#include <KLocale>

#include <Soprano/LiteralValue>


K_EXPORT_PLASMA_APPLET(konduit_inputliteral, Konduit::Elements::InputLiteralElement)


Konduit::Elements::InputLiteralElement::InputLiteralElement( QObject* parent, const QVariantList& args )
    : LiteralElement( parent, args )
{
    /*m_text = new Plasma::Label( this );
    m_text->setStylesheet(" QLabel { background-color:#ffffff; color:#000000; } " );

    Plasma::PushButton* button = new Plasma::PushButton( this );
    button->setText( i18n( "Modify text" ) );
    button->nativeWidget()->setIcon( KIcon( "editinput" ) );//FIXME: this icon isn't loaded

    QGraphicsLinearLayout* mainLayout = new QGraphicsLinearLayout( Qt::Vertical, this);

    mainLayout->addItem( m_text );
    mainLayout->addItem( button );

    connect( button, SIGNAL( clicked() ), this, SLOT( slotEditText() ) );
    */

    ConfigurationOption o( "literal", QVariant::String );
    o.setLabel( i18n( "Literal" ) );
    addConfigurationOption( o );

    createStandardGui();

    setToolTip("Input Literal");
    resize( QSizeF(200, 110) );
    setMinimumSize( QSizeF(130, 50) );
}


Konduit::Elements::InputLiteralElement::~InputLiteralElement()
{
}

/*
void Konduit::Elements::InputLiteralElement::slotEditText()
{
    KDialog dlg;
    dlg.setButtons( KDialog::Ok|KDialog::Cancel );
    dlg.setCaption( i18n( "Edit text" ) );

    QTextEdit* te = new QTextEdit( &dlg );
    dlg.setMainWidget( te );

    te->setPlainText( m_text->text() );
    te->setFocus();

    if ( dlg.exec() ) {
        m_text->setText( te->toPlainText() );
        resize( sizeHint( Qt::PreferredSize, QSizeF(160, 110) ) );//don't shrink the element
    }
}
*/

Soprano::LiteralValue Konduit::Elements::InputLiteralElement::literalData() const
{
    //return m_text->text();
    return optionSetting( "literal" ).value().toString();
}

#include "inputliteralelement.moc"
