/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_SCRIPT_ELEMENT_H_
#define _KONDUIT_SCRIPT_ELEMENT_H_

#include "../abstractparseelement.h"
#include "../sink.h"

namespace Plasma {
    class Label;
    class PushButton;
}

namespace Konduit {
    namespace Elements {
        class ScriptElement : public AbstractParseElement, public Sink
        {
            Q_OBJECT

        public:
            ScriptElement( QObject* parent, const QVariantList& args );

            Soprano::StatementIterator parseData( const Soprano::Parser* parser ) const;
        };
    }
}

#endif
