/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_SEND_MAIL_ELEMENT_H
#define _KONDUIT_SEND_MAIL_ELEMENT_H

#include "memorymodelelement.h"

namespace Plasma {
    class Label;
    class PushButton;
}
namespace Soprano {
    class Model;
}

namespace Konduit {
    namespace Elements {
        class SendMailElement : public MemoryModelElement
        {
            Q_OBJECT

        public:
            SendMailElement( QObject* parent, const QVariantList& args );
            ~SendMailElement();

            void paintInterface( QPainter* painter,
                                 const QStyleOptionGraphicsItem* option,
                                 const QRect& contentsRect );

        public Q_SLOTS:
            void showKonduitConfigurationInterface();

        private Q_SLOTS:
            void slotSendMails();

        private:
            QSizeF contentsSizeHint( Qt::SizeHint which, const QSizeF& constraint ) const;
            QString formatEmailContent( Soprano::Model* model, const QString& text, const QUrl& resource );
            QString extractEmailSubject();
            QString extractEmailContent();
            QList<KUrl> extractAttachements();

            Plasma::PushButton* m_sendMailButton;
        };
    }
}

K_EXPORT_PLASMA_APPLET(konduit_sendmail, Konduit::Elements::SendMailElement)

#endif
