/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "simplefileinputelement.h"

#include <plasma/widgets/pushbutton.h>
#include <plasma/widgets/label.h>
#include <plasma/widgets/lineedit.h>

#include <kfiledialog.h>

#include <KLocale>


Konduit::Elements::SimpleFileInputElement::SimpleFileInputElement( QObject* parent, const QVariantList& args )
    : FileInputElement( parent, args )
{
    createStandardGui();
    emit configurationValueChanged( QString() );//trigger updateStandardGui
//     Plasma::VBoxLayout* mainLay = new Plasma::VBoxLayout( this );

//     Plasma::Label* urlLabel = new Plasma::Label( this );
//     urlLabel->setText( i18n( "Url:" ) );
//     Plasma::Label* serializationLabel = new Plasma::Label( this );
//     serializationLabel->setText( i18n( "Serialization:" ) );
//     m_urlLabel = new Plasma::Label( this );
//     m_serializationInput = new Plasma::LineEdit( this );
//     m_serializationInput->setPlainText( "nquads" );

//     Plasma::PushButton* button = new Plasma::PushButton( this );
//     button->setIcon( "document-open" );

//     Plasma::HBoxLayout* urlLayout = new Plasma::HBoxLayout( mainLay );
//     Plasma::HBoxLayout* serializationLayout = new Plasma::HBoxLayout( mainLay );

//     urlLayout->addItem( urlLabel );
//     urlLayout->addItem( m_urlLabel );
//     urlLayout->addItem( button );

//     serializationLayout->addItem( serializationLabel );
//     serializationLayout->addItem( m_serializationInput );

//     mainLay->addItem( serializationLayout );
//     mainLay->addItem( urlLayout );

//     connect( button, SIGNAL( clicked() ), this, SLOT( slotFindFile() ) );
//     connect( m_serializationInput, SIGNAL( textChanged(const QString&) ),
//              this, SLOT( slotSerializationChanged( const QString& ) ) );
}


void Konduit::Elements::SimpleFileInputElement::slotFindFile()
{
    KUrl url = KFileDialog::getOpenUrl();
    if ( !url.isEmpty() ) {
        m_urlLabel->setText( url.url() );
        updateGeometry();
        setUrl( url );
    }
}


void Konduit::Elements::SimpleFileInputElement::slotSerializationChanged( const QString& text )
{
    Q_UNUSED( text );
    //QString s = m_serializationInput->toPlainText();
    QString s = m_serializationInput->text();
    setSerialization( Soprano::mimeTypeToSerialization( s ), s );
}

#include "simplefileinputelement.moc"
