/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_SIMPLE_FILE_INPUT_ELEMENT_H
#define _KONDUIT_SIMPLE_FILE_INPUT_ELEMENT_H

#include "fileinputelement.h"

namespace Plasma {
    class Label;
    class LineEdit;
}


namespace Konduit {
    namespace Elements {
        class SimpleFileInputElement : public FileInputElement
        {
            Q_OBJECT

        public:
            SimpleFileInputElement( QObject* parent, const QVariantList& args );

        private Q_SLOTS:
            void slotFindFile();
            void slotSerializationChanged( const QString& text );

        private:
            Plasma::Label* m_urlLabel;
            Plasma::LineEdit* m_serializationInput;
        };
    }
}

K_EXPORT_PLASMA_APPLET(konduit_fileinput, Konduit::Elements::SimpleFileInputElement)

#endif
