/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "simplequeryelement.h"

#include <Soprano/StatementIterator>
#include <Soprano/QueryResultIterator>


Konduit::Elements::SimpleQueryElement::SimpleQueryElement( QObject* parent, const QVariantList& args )
    : QueryElement( parent, args ),
      Source()
{
    addPlug( "input" );
    addSocket( "result" );
    resize( QSizeF(250, 150) );
    setMinimumSize( QSizeF(195, 75) );
    createStandardGui();
    setToolTip("Simple Query");;
}


Soprano::StatementIterator Konduit::Elements::SimpleQueryElement::data( const Socket* socket ) const
{
    Q_UNUSED( socket );
    return queryResult().iterateStatements();
}

#include "simplequeryelement.moc"
