/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_SIMPLE_QUERY_ELEMENT_H_
#define _KONDUIT_SIMPLE_QUERY_ELEMENT_H_

#include "queryelement.h"
#include "source.h"

namespace Plasma {
    class Label;
}


namespace Konduit {
    namespace Elements {
        class SimpleQueryElement : public QueryElement, public Konduit::Source
        {
            Q_OBJECT

        public:
            SimpleQueryElement( QObject* parent, const QVariantList& args );

            Soprano::StatementIterator data( const Socket* socket ) const;
        };
    }
}

K_EXPORT_PLASMA_APPLET(konduit_filter, Konduit::Elements::SimpleQueryElement)

#endif
