/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "siblinggraphicsitem.h"

class SiblingGraphicsItem::Private
{
public:
    QGraphicsItem* parent;
};


SiblingGraphicsItem::SiblingGraphicsItem( QGraphicsItem* sibling )
    : QGraphicsItem( 0 ),
      d( new Private() )
{
    setSiblingParent( sibling );
}


SiblingGraphicsItem::~SiblingGraphicsItem()
{
    delete d;
}


void SiblingGraphicsItem::setSiblingParent( QGraphicsItem* sibling )
{
    if ( d->parent ) {
        d->parent->removeSceneEventFilter( this );
    }

    d->parent = sibling;
    if ( sibling ) {
        sibling->installSceneEventFilter( this );
        setParent( sibling->parentItem() );
    }
    else {
        setParent( 0 );
    }
}

QGraphicsItem* SiblingGraphicsItem::siblingParent() const
{
    return d->parent;
}


bool SiblingGraphicsItem::sceneEventFilter( QGraphicsItem* watched, QEvent* event )
{
    if ( watched == d->parent ) {
        if ( event->type() ==
    }

    // continue normal event processing
    return false;
}

    // FIXME: Do all this in element.cpp since I am not sure if we get move events and other itemChange events here!
