/*
 * This file is part of Soprano Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "vocabulary.h"

class VocabularyPrivate
{
public:
    VocabularyPrivate()
        : vocabulary_namespace( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#" ),
          vocabulary_ConfigurationSetting( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#ConfigurationSetting" ),
          vocabulary_Element( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#Element" ),
          vocabulary_ElementPart( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#ElementPart" ),
          vocabulary_Konduit( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#Konduit" ),
      vocabulary_KonduitBlackBox( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#KonduitBlackBox" ),
          vocabulary_Plug( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#Plug" ),
          vocabulary_Socket( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#Socket" ),
          vocabulary_configurationValue( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#configurationValue" ),
          vocabulary_elementType( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#elementType" ),
          vocabulary_parentElement( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#parentElement" ),
          vocabulary_pluggedIn( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#pluggedIn" ),
          vocabulary_geometry( "http://www.semanticdesktop.org/ontologies/2008/01/11/konduit#geometry" ) {
    }

    QUrl vocabulary_namespace;
    QUrl vocabulary_ConfigurationSetting;
    QUrl vocabulary_Element;
    QUrl vocabulary_ElementPart;
    QUrl vocabulary_Konduit;
    QUrl vocabulary_KonduitBlackBox;
    QUrl vocabulary_Plug;
    QUrl vocabulary_Socket;
    QUrl vocabulary_configurationValue;
    QUrl vocabulary_elementType;
    QUrl vocabulary_parentElement;
    QUrl vocabulary_pluggedIn;
    QUrl vocabulary_geometry;
};

Q_GLOBAL_STATIC( VocabularyPrivate, s_vocabulary )

QUrl Konduit::Vocabulary::vocabularyNamespace()
{
    return s_vocabulary()->vocabulary_namespace;
}

QUrl Konduit::Vocabulary::ConfigurationSetting()
{
    return s_vocabulary()->vocabulary_ConfigurationSetting;
}

QUrl Konduit::Vocabulary::Element()
{
    return s_vocabulary()->vocabulary_Element;
}

QUrl Konduit::Vocabulary::ElementPart()
{
    return s_vocabulary()->vocabulary_ElementPart;
}

QUrl Konduit::Vocabulary::Konduit()
{
    return s_vocabulary()->vocabulary_Konduit;
}

QUrl Konduit::Vocabulary::KonduitBlackBox()
{
    return s_vocabulary()->vocabulary_KonduitBlackBox;
}

QUrl Konduit::Vocabulary::Plug()
{
    return s_vocabulary()->vocabulary_Plug;
}

QUrl Konduit::Vocabulary::Socket()
{
    return s_vocabulary()->vocabulary_Socket;
}

QUrl Konduit::Vocabulary::configurationValue()
{
    return s_vocabulary()->vocabulary_configurationValue;
}

QUrl Konduit::Vocabulary::elementType()
{
    return s_vocabulary()->vocabulary_elementType;
}

QUrl Konduit::Vocabulary::parentElement()
{
    return s_vocabulary()->vocabulary_parentElement;
}

QUrl Konduit::Vocabulary::pluggedIn()
{
    return s_vocabulary()->vocabulary_pluggedIn;
}

QUrl Konduit::Vocabulary::geometry()
{
    return s_vocabulary()->vocabulary_geometry;
}
