/*
 * This file is part of Konduit Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _KONDUIT_TEST_SINK_H_
#define _KONDUIT_TEST_SINK_H_

#include "sinkelement.h"

#include <QtCore/QList>

#include <Soprano/Statement>

namespace Konduit {
    /**
     * A simple sink element that prints the data to stdout
     */
    class TestSink : public SinkElement
    {
    public:
    TestSink( const QList<Soprano::Statement>& statements );
    virtual ~TestSink();

    bool start();

    private:
    QList<Soprano::Statement> m_statements;
    };
}

#endif
